This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500991 - FSError: filesystem has not been created
FSError: filesystem has not been created
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:aaabfd9e3cb33eae4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 08:09 EDT by James Laska
Modified: 2013-09-02 02:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 11:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (135.00 KB, text/plain)
2009-05-15 08:09 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-05-15 08:09:15 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.52 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/fs.py", line 176, in _setTargetSize
    raise FSError("filesystem has not been created")
  File "/usr/lib/anaconda/storage/deviceaction.py", line 354, in __init__
    self.device.format.targetSize = newsize
  File "/usr/lib/anaconda/iw/partition_dialog_gui.py", line 295, in run
    actions.append(ActionResizeFormat(request, size))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1119, in editPartition
    actions = parteditor.run()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1080, in editCB
    self.editPartition(device)
FSError: filesystem has not been created
Comment 1 James Laska 2009-05-15 08:09:20 EDT
Created attachment 344126 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-05-15 08:10:23 EDT
Looks to be the same as bug#498553 ?

= Steps to reproduce =

* Install autopart
* Initiate a new install, and select 'Custom partition'
* resize previous '/boot' partition from 200 to 196
Comment 3 David Lehman 2009-05-18 13:33:46 EDT
This will be fixed in anaconda-11.5.0.53-1.
Comment 4 James Laska 2009-05-26 11:59:43 EDT
Tested and confirmed fix using anaconda-11.5.0.54-1

Note You need to log in before you can comment on or make changes to this bug.